record.h File Reference
`#include "osl/record/searchInfo.h"`
`#include "osl/numEffectState.h"`
`#include "osl/csa.h"`
`#include <boost/date_time/gregorian/gregorian_types.hpp>`
`#include <boost/ptr_container/ptr_vector.hpp>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

struct | osl::record::Record
class | osl::record::RecordFile
struct | osl::SearchInfo
struct | osl::Record
class | osl::RecordFile

## Namespaces

namespace | osl
namespace | osl::record
| 棋譜関係

## Functions

std::ostream & | osl::record::operator<< (std::ostream &os, const Record &r)